# How to install this app
except for dotnet (depending on how you install it even dotnet) everything wont need root/Administrator to install
# Linux Users (x86_64)

You will need [Dotnet 6](https://dotnet.microsoft.com/en-us/download)

    cd Timelapse.Linux 
    mkdir $HOME/timelapsenow
    dotnet publish -c Release --self-contained -r linux-x64 -o $HOME/timelapsenow
    cp ../timelapse.png $HOME/timelapsenow/
    echo "[DesktopEntry]" > $HOME/.local/share/applications/timelapsenow.desktop
    echo "Version=1.0" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Type=Application" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Name=Timelapse Now" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Icon=$HOME/timelapsenow/timelapse.png" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Exec=$HOME/timelapsenow/Timelapse.Linux" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Terminal=false" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Categories=AudioVideo;Recorder" >> $HOME/.local/share/applications/timelapsenow.desktop;

# Linux Users (arm)

You will need [Dotnet 6](https://dotnet.microsoft.com/en-us/download)

    cd Timelapse.Linux 
    mkdir $HOME/timelapsenow
    dotnet publish -c Release --self-contained -r linux-arm -o $HOME/timelapsenow
    cp ../timelapse.png $HOME/timelapsenow/
    echo "[DesktopEntry]" > $HOME/.local/share/applications/timelapsenow.desktop
    echo "Version=1.0" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Type=Application" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Name=Timelapse Now" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Icon=$HOME/timelapsenow/timelapse.png" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Exec=$HOME/timelapsenow/Timelapse.Linux" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Terminal=false" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Categories=AudioVideo;Recorder" >> $HOME/.local/share/applications/timelapsenow.desktop;
# Linux Users (arm64)

You will need [Dotnet 6](https://dotnet.microsoft.com/en-us/download)

    cd Timelapse.Linux 
    mkdir $HOME/timelapsenow
    dotnet publish -c Release --self-contained -r linux-arm64 -o $HOME/timelapsenow
    cp ../timelapse.png $HOME/timelapsenow/
    echo "[DesktopEntry]" > $HOME/.local/share/applications/timelapsenow.desktop
    echo "Version=1.0" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Type=Application" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Name=Timelapse Now" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Icon=$HOME/timelapsenow/timelapse.png" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Exec=$HOME/timelapsenow/Timelapse.Linux" >> $HOME/.local/share/applications/timelapsenow.desktop
     echo "Terminal=false" >> $HOME/.local/share/applications/timelapsenow.desktop
    echo "Categories=AudioVideo;Recorder" >> $HOME/.local/share/applications/timelapsenow.desktop;

# Windows
You will need [Dotnet 6](https://dotnet.microsoft.com/en-us/download)<br>
I mainly use linux but I understand some people use windows
## Using PowerShell/Command Prompt
    Please make a folder for timelapse and replace \path\to\timelapse\ with the path

    if you have 32 bit windows or arm replace win-x64 with win-x86, win-arm or win-arm

    cd Timelapse.Windows
    dotnet publish -c Release -r win-x64 --self-contained -o "\path\to\timelapse\"
    
    navigate to "\path\to\timelapse\" in file explorer if you haven't already
    Right click "Timelapse.Windows.exe" and Select SendTo->Desktop (Create Shortcut) and maybe pin to Taskbar, Startmenu
